Skip to main content
POST
Validate a Credential

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

checkfu-version
enum<string>
required
Available options:
2026-08-27
checkfu-beta
string
required

Path Parameters

vault_id
string
required
Pattern: ^vlt_[0-9a-f]{32}$
credential_id
string
required
Pattern: ^vcrd_[0-9a-f]{32}$

Response

Result of live-probing a Credential against its configured MCP server.

Result of live-probing a Credential against its configured MCP server.

credential_id
string
required
Pattern: ^vcrd_[0-9a-f]{32}$
has_refresh_token
boolean
required
mcp_probe
object | null
required

The failing step of an MCP validation probe.

refresh
object | null
required

Outcome of a refresh-token exchange attempted during Credential validation.

status
enum<string>
required
Available options:
valid,
invalid,
unknown
type
enum<string>
required
Available options:
vault_credential_validation
validated_at
string
required

A canonical UTC ISO-8601 timestamp with millisecond precision.

Maximum string length: 24
Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
vault_id
string
required
Pattern: ^vlt_[0-9a-f]{32}$